Skip to main content
PATCH
/
v0
/
server-groups
/
properties
Merge server group properties
curl --request PATCH \
  --url https://controller.platform.simplecloud.app/v0/server-groups/properties \
  --header 'Content-Type: application/json' \
  --header 'X-Network-ID: <x-network-id>' \
  --header 'X-Network-Secret: <x-network-secret>' \
  --data '
{
  "properties": {}
}
'
import requests

url = "https://controller.platform.simplecloud.app/v0/server-groups/properties"

payload = { "properties": {} }
headers = {
"X-Network-ID": "<x-network-id>",
"X-Network-Secret": "<x-network-secret>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
'X-Network-ID': '<x-network-id>',
'X-Network-Secret': '<x-network-secret>',
'Content-Type': 'application/json'
},
body: JSON.stringify({properties: {}})
};

fetch('https://controller.platform.simplecloud.app/v0/server-groups/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Properties patched successfully",
  "properties": {}
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Headers

X-Network-ID
string
required

Network ID

X-Network-Secret
string
required

Network Secret

Query Parameters

server_group_id
string
required

Server Group ID

Body

application/json

Properties to merge

Request to merge/update specific property keys (deep merge)

properties
object

Response

OK

Response for patching properties

message
string
Example:

"Properties patched successfully"

properties
object